Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004083TestLinkAPI - XMLRPCpublic2010-12-07 15:392011-01-22 15:12
Reportercesar1983 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004083: There is no mapping for the method uploadExecutionAttachment in TL API
DescriptionIt is missing the entry

'tl.uploadExecutionAttachment' => 'this:uploadExecutionAttachment'

in the $this->methods array inside the xmlrpc.class.php
Steps To ReproduceCall the method tl.uploadExecutionAttachment from the TL API

You get the message telling that the method does not exist
Additional InformationI am inclueding a patch to fix the problem
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.x
Browser
PHP Version5.3 x86 thread-safe VC 6
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon xmlrpc.class.php [^] (166,468 bytes) 2010-12-07 15:47

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012891)
fman (administrator)
2010-12-07 16:47

And what about other upload* methods ?
(0012893)
cesar1983 (reporter)
2010-12-07 16:51

The only one missing is the uploadExecutionAttachment

All the others are ok. They were implemented in the issue 1890.
(0012894)
fman (administrator)
2010-12-07 16:55

thanks for help
(0013399)
fman (administrator)
2011-01-22 15:12

1.9.1. released

- Issue History
Date Modified Username Field Change
2010-12-07 15:39 cesar1983 New Issue
2010-12-07 15:47 cesar1983 File Added: xmlrpc.class.php
2010-12-07 16:47 fman Note Added: 0012891
2010-12-07 16:51 cesar1983 Note Added: 0012893
2010-12-07 16:55 fman Note Added: 0012894
2010-12-07 16:55 fman Status new => resolved
2010-12-07 16:55 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-07 16:55 fman Resolution open => fixed
2010-12-07 16:55 fman Assigned To => fman
2010-12-07 17:37 fman Relationship added child of 0004039
2011-01-22 15:12 fman Note Added: 0013399
2011-01-22 15:12 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker